Bug 1822912 - Can't open pictures with another app in view mode
Summary: Can't open pictures with another app in view mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eog
Version: 32
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-10 13:16 UTC by itrymybest80
Modified: 2020-04-25 05:07 UTC (History)
10 users (show)

Fixed In Version: eog-3.36.1-3.fc32 eog-master-3220200414190555.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-25 02:22:27 UTC
Type: Bug


Attachments (Terms of Use)
not able to rightclick in view mode (172.96 KB, image/jpeg)
2020-04-10 13:17 UTC, itrymybest80
no flags Details
however rightclicking on the file works (68.35 KB, image/jpeg)
2020-04-10 13:18 UTC, itrymybest80
no flags Details

Description itrymybest80 2020-04-10 13:16:58 UTC
Description of problem: when I open a picture and right-click to open it in another app, gimp or whatever, no option is available.

Version-Release number of selected component (if applicable): eog-3.36.1-2.fc32.x86_64

How reproducible: everytime, always.

Steps to Reproduce:
1. open a picture.
2. right click in the picture.
3. try to open with another application.

Actual results: no options are available.

Expected results: apps such as "gimp" should be available.

Additional info:
gnome-shell-3.36.1-3.fc32
mutter-3.36.1-4.fc32
xorg-x11-server-1.20.8-1.fc32
mesa-20.0.4-1.fc32

Comment 1 itrymybest80 2020-04-10 13:17:42 UTC
Created attachment 1677788 [details]
not able to rightclick in view mode

Comment 2 itrymybest80 2020-04-10 13:18:14 UTC
Created attachment 1677789 [details]
however rightclicking on the file works

Comment 3 Kalev Lember 2020-04-10 20:07:48 UTC
This may be a regression from https://src.fedoraproject.org/rpms/eog/pull-request/4

Comment 4 Felipe Borges 2020-04-14 10:27:54 UTC
Oops, the patch doesn't cover the right-click entry (I wasn't aware of its existence until now). The hamburger menu option -> Open With... works fine here.

I will propose a follow up patch to make the right-click entry work as expected. Sorry for the inconvenience.

Comment 5 Felipe Borges 2020-04-14 10:59:17 UTC
I proposed https://src.fedoraproject.org/rpms/eog/pull-request/5

Comment 6 Kalev Lember 2020-04-14 19:20:07 UTC
Nice, thanks! I've merged this and building new packages right now.

Comment 7 Fedora Update System 2020-04-14 20:13:58 UTC
FEDORA-FLATPAK-2020-60fa1d8647 has been submitted as an update to Fedora 32 Flatpaks. https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2020-60fa1d8647

Comment 8 Fedora Update System 2020-04-14 21:13:42 UTC
FEDORA-FLATPAK-2020-60fa1d8647 has been pushed to the Fedora 32 Flatpaks testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2020-60fa1d8647

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-04-16 19:27:52 UTC
FEDORA-2020-1185c68d10 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-1185c68d10`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1185c68d10

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 itrymybest80 2020-04-18 10:51:23 UTC
I installed eog-3.36.1-3.fc32 and now when I right-click on an open image, there's no longer an arrow or a black rectangle next to "open with" and the menu opens above it like in other apps.

Comment 11 Fedora Update System 2020-04-25 02:22:27 UTC
FEDORA-2020-1185c68d10 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-04-25 05:07:08 UTC
FEDORA-FLATPAK-2020-60fa1d8647 has been pushed to the Fedora 32 Flatpaks stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.